Subject: Re: [PATCH resend] make "git push" update origin and mirrors, "git push --mirror" update mirrors

From: Junio C Hamano <[email-masked]>
Date: Sun, 27 Apr 2008 13:13:26 -0700

"Shawn O. Pearce" <[email-masked]> writes:

> But then they later wonder why they need `git pull origin branch`
> to merge in branch, when they usually just say `git pull`.  What is
> the need for that funny keyword `origin`?  Why do I have to say
> where to get the branch from sometimes and not others?
> ...
> Just take the above as the rantings of someone who knows git a
> little too well, and has tried to teach it to people who don't,
> and they all have asked about the funny (to them) need for origin
> in git-pull/git-push command line sometimes (no refspecs) and not
> others (with refspecs).

What's the constructive suggestion for improvement we can draw from this
after all?  Should we deprecate the defaulting of "origin" so that
everybody now should always say "git pull $where"?  In other words, make
people more aware that what _they_ do is the special case to have only one
remote to interact with?